Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Quick implimentation of readline utilities.
Name:		perl-Term-ReadLine-Perl
Version:	1.0203
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=%{perlname}
Group:		Development/Perl
Source0:	Term-ReadLine-Perl-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
Quick implimentation of readline utilities.
For more details see: http://search.cpan.org/search?module=%{perlname}

%post
ldconfig

%postun
ldconfig

%prep
%setup -n Term-ReadLine-Perl-%{version}

%build
echo "y" | perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 1.0203-2
- rebuild against perl-5.8.8
* Wed Dec 07 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.0203-1
- Initial Release
